function alpha = kutVek(u, v, mjera = "deg")

#{
kutVek(u,v,mjera="deg") daje kut izmedju vektora u i v 
u zadanoj mjeri 'deg', 'rad' ili 'dms'
#}

rez = acos( dot(u,v) / (norm(u) * norm(v)) );

switch (mjera)
  case "rad"
    alpha = rez;
  case "deg"
    alpha = rez * 180 / pi;
  case "dms"
    alpha = dms(rez, "rad");
  otherwise
    disp('Error: mjera mora biti "deg", "rad" ili "dms"');
    return;    
endswitch

endfunction